FROM alpine:3.11

WORKDIR /usr/src/app

RUN apk add --no-cache python3 \
    && python3 -m ensurepip \
    && rm -r /usr/lib/python*/ensurepip

ENV TLS_CERTS_MONITOR_VERSION=v1.8

RUN wget -O /tmp/sources.tar.gz https://gitlab.utc.fr/picasoft/projets/tls-cert-monitor/-/archive/$TLS_CERTS_MONITOR_VERSION/tls-cert-monitor-$TLS_CERTS_MONITOR_VERSION.tar.gz \
    && mkdir /tmp/sources \
    && tar -xvf /tmp/sources.tar.gz --strip-components=1 -C /tmp/sources \
    && cp /tmp/sources/app/*.py ./ \
    && pip3 install --upgrade pip setuptools -r /tmp/sources/requirements.txt \
    && rm -r /root/.cache \
    && mkdir /certs

ENV acme_file "/certs/acme.json"
ENV cert_root "/output"
ENV log_level "INFO"

ENTRYPOINT python3 ./tls_certs_monitor.py --acme-file=${acme_file} --output-dir=${cert_root} --loglevel=${log_level}
